Platform
Platform Fleet
Podero-wide aggregates. No organization or device identifiers leave this route.
GET
/
api
/
partners
/
v2.0
/
platform
/
fleet
Platform Fleet
curl --request GET \
--url https://api.example.com/api/partners/v2.0/platform/fleet \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/partners/v2.0/platform/fleet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/partners/v2.0/platform/fleet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"generated_at": "2023-11-07T05:31:56Z",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"resolution_minutes": 123,
"dashboard": {
"title": "<string>",
"pages": [
{
"slug": "inverters",
"title": "<string>",
"path": "<string>",
"sections": [
{
"id": "monitoring",
"title": "<string>",
"kind": "<string>",
"dataset_id": "<string>"
}
]
}
],
"datasets": [
{
"id": "<string>",
"rows": [
{
"time": "2023-11-07T05:31:56Z",
"manufacturer": "<string>",
"state": "<string>",
"reason": "<string>",
"devices": 123
}
],
"series": [
{
"manufacturer": "<string>",
"state": "<string>",
"reason": "<string>",
"counts": [
123
]
}
]
}
]
},
"version": 1,
"stale": false,
"history_available": true
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Available options:
inverters, evs, heatpumps Response
200 - application/json
OK
Was this page helpful?
⌘I
Platform Fleet
